Page MenuHomePhabricator

Show both "edit" and "edit source" tabs/section edit links on the French Wiktionary
Closed, ResolvedPublic

Description

Hello,

Apparently a big misunderstanding (or bug) has occurred after the Visual Editor installation on the French Wiktionary.

The community has never asked to force all IPs to edit with this tool in the main namespace: they should have the choice between "edit" and "edit the code", like on the French Wikipedia.

Please find the consensus below:
https://fr.wiktionary.org/wiki/Wiktionnaire:Wikid%C3%A9mie/juillet_2017#Contrairement_.C3.A0_Wikip.C3.A9dia.2C_ici_les_IP_n.27ont_plus_du_tout_acc.C3.A8s_au_wikicode_dans_l.27espace_principal

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 5 2017, 12:54 PM
Thibaut120094 added a subscriber: Thibaut120094.
Thibaut120094 added a subscriber: Trizek-WMF.
Elitre added a comment.EditedJul 5 2017, 2:09 PM

Also, they aren't forced. They get a pop-up asking them which system they want. Please amend the title to reflect this.

Sorry but I never get any pop-up during my tests: so I'm totally forced.

Deskana added a subscriber: Deskana.Jul 5 2017, 2:21 PM

Sorry but I never get any pop-up during my tests: so I'm totally forced.

I tested this in an incognito window and I was shown a popup asking me to choose the mode to edit in. You may have chosen an option whilst logged out before, and have a cookie set to not show you the dialogue again.

Yes if I delete all my cookies I've got the pop-up, but that's not the problem.

Could you please apply the community consensus by showing the two tabs please?

Nemo_bis renamed this task from On the French Wiktionary, no IP can "edit the code": they are forced to use the Visual Editor to Show both "edit" and "edit source" tabs/section edit links on the French Wiktionary.Jul 6 2017, 10:53 AM
Nemo_bis added a subscriber: Nemo_bis.

I changed summary since there was disagreement about the term "forced".

Yes if I delete all my cookies I've got the pop-up, but that's not the problem.

Could you please define the actual underlying problem?

JackPotte added a comment.EditedJul 11 2017, 6:44 PM

Hi, the actual community desire would have been to offer two tabs to the IPs, that's why we're respectfully asking to add "edit the code":
https://fr.wiktionary.org/w/index.php?title=page&action=edit
near:
https://fr.wiktionary.org/w/index.php?title=page&veaction=edit

Noe added a subscriber: Noe.Nov 20 2017, 9:51 AM

We recently made an editathon and the absence of "edit with wikicode" is still a problem. VisualEditor is still useless for Wiktionary, except to add pictures. For any other aspects, VE doesn't provide any help. Can you please add the link for IP?

We recently made an editathon and the absence of "edit with wikicode" is still a problem. VisualEditor is still useless for Wiktionary, except to add pictures. For any other aspects, VE doesn't provide any help. Can you please add the link for IP?

Unlike other Wiktionaries [1], the French Wiktionary has the visual editor by default. I agree that the visual editor isn't great for editing Wiktionaries. Would the French Wiktionary instead prefer to be brought in line with other Wiktionaries and have the visual editor off by default instead?

[1]: I tested the English, German, Spanish, Catalan, Dutch, and Portuguese Wiktionaries. I am assuming the rest are the same.

JackPotte added a comment.EditedNov 21 2017, 1:25 PM

No please apply the consensus which just consists in two links, like on the French Wikipedia.

No please apply the consensus which just consists two links like on the French Wikipedia.

The discussion you link doesn't explain the reason behind the request. Please can you explain it?

JackPotte added a comment.EditedNov 21 2017, 1:44 PM

For god sake, the community of the greatest French dictionary in the world had already precisely discussed about all these options, and voted two times for them for several years (I had already posted the links in this ticket and I'm tired to repeat it, with all due respect).

But as the result has never been applied here yet, and not for any technical reason, I think that I will be forced to candidate as a Phabricator dev and to send a pull request to get the things done.

For god sake, the community of the greatest French dictionary in the world had already precisely discussed about all these options, and voted two times for them for several years (I had already posted the links in this ticket and I'm tired to repeat it, with all due respect).

I'm sorry, I've only been the product manager for editing for a few months, so I don't know the many years worth of history. This is why I asked you to explain. It's not nice to get angry at me for that.

I understand it's frustrating for you, but it's also difficult for me to make decisions without knowing the history. Imagine if I didn't pay attention to the history, and reversed a decision that previously made a community very happy? That wouldn't be good. It would be nice if you could at least point me to the history that explains the reasons behind this request.

But as the result has never been applied here yet, and not for any technical reason, I think that I will be forced to candidate as a Phabricator dev and to send a pull request to get the things done.

It'd be nice if we could discuss this a bit before you try forcing the issue. Who knows, maybe I can even offer something better?

Sorry, I was not angry at you particularly.
If it can help, you can just come to our village pump and ask if I had translated the vote correctly here and if it still needs to be applied.

Noe added a comment.EditedDec 30 2017, 5:49 PM

Knock knock.

Wiktionary is still waiting for this change. It is not to remove Visual Editor but to let IP have two choices: a fancy useless tool and a wikicode editor to do some proper job.

French Wiktionary use templates and I spent hours to write TemplateData for the most commons ones. But VisualEditor is still unable to suggest template, and it is what Wiktionary need. If a word in French have a template {{m}} to indicate it is lexically masculine, but someone want to set it as a feminine word, one have to write {{f}} instead of {{m}}. This operation is impossible in VisualEditor. And that is just one example! If you want to add a section for synonyms, you need to know the template and there is nothing to suggest it.

We proposed an improvement in the Community Survey but it didn't reach the top ten: https://meta.wikimedia.org/wiki/2017_Community_Wishlist_Survey/Editing/VisualEditor_Template_Suggestion

So, we are planning to write a more specific roadmap for our needs for a dedicate Wiktionary Visual Editor, but we can't wait no more for this change on how newcomers can edit the project. Please, @Deskana, do close this task as soon as possible.

Pamputt added a subscriber: Pamputt.Jan 7 2018, 5:32 PM

I'm still trying to understand the reasoning behind this request. I cannot in good conscience make a change without understanding the reason why it is made. A few months ago I asked for more information, but sadly did not get any. Can someone explain what is the underlying problem that is trying to be solved?

JackPotte added a comment.EditedJan 9 2018, 4:47 PM

There's nothing complex about this request: the community just wants to provide the two tabs to the editors: the wikicode and Visual Editor.

If you meant "why that" a few months ago, this is just because the editors should have the choice: some of them prefer the WYSIWYG and some others like me the good old quick coding HTML options.

Noe added a comment.EditedJan 17 2018, 9:58 AM

Hi @Deskana ,

It seems my rational was not clear. This request is to put back the link "wikicode editor" for not registered users in French Wiktionary. We do not ask for Visual Editor to be remove, but only to display two buttons instead of one. Please, have a try, go to Wiktionary and try to modify a page with VisualEditor: it's not efficient. This feature is not adapted to this project. That's pretty easy to get.

If you don't want to handle this problem, please call for someone who may help. This is not an emergency but we do workshops in library time to time and it is a recurrent problem.

Update: 7th of February: Another user to complain about not having access to our home made tools because of the Visual Editor: https://fr.wiktionary.org/wiki/Wiktionnaire:Wikid%C3%A9mie/f%C3%A9vrier_2018#Nouveau_mot

Update: 4th of April: Another new user to complain about having only access the Visual Editor: https://fr.wiktionary.org/w/index.php?title=Discussion_utilisateur:Stephane8888&curid=1645415&diff=24658580&oldid=24653152

No please apply the consensus which just consists two links like on the French Wikipedia.

The discussion you link doesn't explain the reason behind the request. Please can you explain it?

Hello Deskana, yes the link does" explain the reason behind the request".
The "administrative" reason for requesting 2 tabs is this: (as shown in the link you mention where the first sentence says that) there was no vote in favour of the suppression of the "edit with wikicode". In clear, no-one voted to suppress that tab, because no-one even thought of proposing to suppress it. Which means that we want the "edit wikicode" tab.
Now please by all means do say what in this you cannot understand, or cannot accept, or whatever prevents you from giving the green light to that "edit wikicode" tab in the fr wikt.

The "common good sense" explanation for this request is that it is a whole world easier to click on a tab that's right there, rather than :

  1. understanding that VE can be got rid of through Preferences. Just that, took me 3 bloody wasted days last year. I suppose it's as hard for you to understand that as it is for me to understand how you cannot see any explanation to the reason of the request as above described - same ignorant blindness, lol. (please understand this as it is meant, that is, referring to my own in the first place)
  2. understanding how it can be made to disappear, as after having found the Preferences menu it still is no picnic finding out where in it lays the setting for wikicode edit vs. VE. That took me another 2 (!!!) days of trial/s and error/s. No I'm not even exagerating. Two more days.

The only reason why I persisted is that I've been editing en and fr wikipedia for 16 yrs, so I wasn't going to be stopped by a *** editor. You can't reasonably expect new users to persist as I did when they have to go through that, can you.

I very rarely edit the (fr) wikt. I tried for the first time to create a needed page in it yesterday. Please do take in the resulting comments on the above link given by Noe yesterday April 4.

I arrived here only because trizek left a link to here in the same subject, otherwise I'd never have found you. For god'sake I'm not even savvy enough to know how to put here a link to your name so as to make sure you get to know that there is a new comment here, so I'll have to find your discussion page if there is one, and leave a message there; if I can't find a page for you where I can leave that message, I'll have to ask someone to do something to alert you. Maybe that, will make you understand how it is possible that the so-called choice-giving popup as you & yr colleagues mention, really leaves *no choice*, to people like me. I either did not see that popup or, more likely, did not understand what it was. So its assumed existence is no good reason for not giving us that 2-tabs choice.

Anyway, thanks for paying attention and answering and asking if needed (whatever you want to ask) and generally not letting that fall down the drain. Because as long as there is no proper tab to choose the editor from, you sure won't catch me again in that wikt trap. It really is not worth the aggro potential.

@Pueblopassingby, I would have preferred to read your message written with another tone, without sarcasm and other understatements about developers work. That's not a good way for you to make the case for.

JackPotte triaged this task as Unbreak Now! priority.Apr 6 2018, 9:45 AM

As far as I can see, the only problem is just to be able to find who ever is trusted enough to have the right to modify the French. Wiktionary LocalSettings.php.

And this could easily be resolved as we have many skilled volunteers, and as the config is well used (on Wikipedia) and documented on https://www.mediawiki.org/wiki/Extension:VisualEditor#Quick_configuration_guide

Personally, I'm reiterating my wish to be one of those guys.

Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptApr 6 2018, 9:45 AM
Trizek-WMF lowered the priority of this task from Unbreak Now! to Normal.EditedApr 6 2018, 10:33 AM

We've heard your request. Now please please stop. You're not helping your case acting like that.

Hello, Jack, Noé, and Pueblo.

I think there has been an unfortunate misunderstanding about process. While the devs really appreciate your efforts to determine a community consensus, they are not bound by it. In fact, product managers (in particular) are officially required to disregard a community recommendation if they believe the result will be worse for the target audience.

It seems to me that the main practical problem is that brand-new editors are getting stuck in the visual mode, and that they need to be directed towards the wikitext mode. I am going to suggest this – not as a perfect solution, but as a way of somewhat improving the situation as soon as possible:

  • The system should stop dumping new editors into the visual mode. New editors will still get the choice box on their first edit, but clicking the main button will take them into the (expected and usually preferable) wikitext editor, rather than the (surprising) visual mode. They can still switch modes if they want, using the pencil icon in the right corner of the toolbar.
  • Any editor who wants two tabs can go to https://fr.wiktionary.org/wiki/Spécial:Préférences#mw-prefsection-editing and choose "Show me both editor tabs". Perhaps this information could be posted to the village pump, or even added to https://fr.wiktionary.org/wiki/Modèle:Bienvenue ?

Once we've got that done, perhaps we could talk about the relative advantages and disadvantages of the different options. I think, for example, that we might all want to consider highlighting the pencil icon/switch button, so that people are less likely to get "stuck" in the "wrong" editor, regardless of what else we do.

Nice try, but does anyone have metrics about this experiment?
https://stats.wikimedia.org/wiktionary/FR/TablesWikipediaFR.htm doesn't show the figures of how many IPs and accounts have modified the French Wiktionary before and after the Visual Editor tab, in April 2016.
However it could have been interesting to compare them to the before and after French Wikipedia double tabs installation.

Sorry if I might seem too much concerned or perfectionist about these decisions, but 10 years ago I had signed for a democratic dictionary project, and now I'm a little bit disappointed to discover that its technical management is arbitrary, more than 7,000 hours of work after (bot excluded, according to https://frwiktionary.wikiscan.org/utilisateur/JackPotte).

I have never been under the impression that projects were run along democratic lines. Is this a common belief at the French Wiktionary? That idea is explicitly contradicted at my home wiki, of course, as well as in pages such as https://meta.wikimedia.org/wiki/Founding_principles

Noe added a comment.EditedApr 7 2018, 12:47 PM

Hi Whatamidoing,

I may have misunderstood your message. Who is Wiktionary product manager? As far as I know, there is no product manager dedicated to Wiktionary, nor Liaison.

Are you saying someone that doesn't know Wiktionary at all have a better understanding of the targeted audience of Wiktionary than the Wiktionary community?

The paragraph in Wikipedia you mentioned state it is not a democracy. JackPotte was talking about democratic principles. And yes, we consider our community members are equal in technical and editorial power.
It is not a belief, it is a community choice.

Maybe one reason for Wiktionarians to consider they are in charge of the technical aspects of their project is because Wiktionaries are online since 14-15 years with almost no dedicated development by the WMF dev, so we almost never discuss with them. VE is not adapted to Wiktionary needs but we developed a dedicated tool to create new pages, a tool to add translation, a tool to add flexions and more. So we were responsible of our own technical development. If more people want to work with us, great, everyone is welcome! But in this specific problem, we just conflict because we can't deal with this simple problem by ourselves.

Wiktionary isn't a software product, so it doesn't have a product manager. VisualEditor, on the other hand, is a product and it does have a product manager.

I agree with you that VisualEditor is not adapted to Wiktionary's needs. It was not designed for Wiktionary. That's why I think the first thing we should do is make it stop being the first thing that most new editors will see. This change is "emergency first aid", not the end of the conversation, and I think we should do that as soon as possible.

Change 425009 had a related patch set uploaded (by 0x010C; owner: 0x010C):
[operations/mediawiki-config@master] Switch SET on frwiktionary to use wikitexteditor by default

https://gerrit.wikimedia.org/r/425009

0x010C added a subscriber: 0x010C.Apr 9 2018, 8:22 AM

Since everybody seems to agree that the wikitext editor should be the default editor, I've changed the configuration in this way, "not as a perfect solution, but as a way of somewhat improving the situation as soon as possible" as @Whatamidoing-WMF said.

Dereckson assigned this task to 0x010C.
Dereckson moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.

Change 425009 merged by jenkins-bot:
[operations/mediawiki-config@master] Switch SET on frwiktionary to use wikitexteditor by default

https://gerrit.wikimedia.org/r/425009

Mentioned in SAL (#wikimedia-operations) [2018-04-09T19:26:13Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Switch SET on frwiktionary to use wikitexteditor by default (T169741) (duration: 01m 00s)

I'd suggest to close this task as resolved, and open a new task "[EPIC] Find best strategy for Visual Edidor Wiktionary configuration" to search how we can improve the VE tool for Wiktionary needs.

Noe added a comment.Apr 9 2018, 8:10 PM

Thanks a lot.

I agree with Dereckson suggestion.

Liuxinyu970226 rescinded a token.
Liuxinyu970226 removed a subscriber: Liuxinyu970226.
ppelberg moved this task from To Triage to Current work on the VisualEditor board.Mar 12 2019, 3:14 PM
ppelberg edited projects, added VisualEditor (Current work); removed VisualEditor.
marcella moved this task from To Triage to Freezer on the VisualEditor board.
matmarex closed this task as Resolved.Sat, May 18, 4:23 PM
matmarex added a subscriber: matmarex.

(I'm assuming that this should have been closed last year, per your comments.)

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptSat, May 18, 4:23 PM

Not sure it should be marked as resolved because I do not see any new taks titled "[EPIC] Find best strategy for Visual Edidor Wiktionary configuration" or similar. This task should be opened first and linked to this task before closing this one.